#!/bin/bash

trap 'echo " Vyhody cherez menu"' INT

TEXT_COLOR_GOOD="\033[92m"
TEXT_COLOR_BAD="\033[91m"
TEXT_COLOR_OFF="\033[0m"

echo -e "
${TEXT_COLOR_GOOD}
   __                       __         __               
  / /__      __            / /_  ___  / /___  ___  _____
 / __/ | /| / /  ______   / __ \/ _ \/ / __ \/ _ \/ ___/
/ /_ | |/ |/ /  /_____/  / / / /  __/ / /_/ /  __/ /    
\__/ |__/|__/           /_/ /_/\___/_/ .___/\___/_/     
                                    /_/                 
${TEXT_COLOR_OFF}
"

harakiri() {
  printf "${TEXT_COLOR_BAD}Committing *roskomnadzor*...${TEXT_COLOR_OFF}\n"
  if [[ "$HOSTNAME" != "pve-ansible" ]]; then
    rm -f "$BASH_SOURCE" &> /dev/null
  fi
  exit
}

lsb_release -a 2> /dev/null
echo -e "\n${TEXT_COLOR_GOOD} - Load:${TEXT_COLOR_OFF}\n"

nproc=`nproc`
la=`cat /proc/loadavg | awk '{print $1", " $2", " $3}'`
usedmem=`free -m | head -2 | tail -1 | awk '{print $3}'`
totalmem=`free -m | head -2 | tail -1 | awk '{print $2}'`

echo 'LA: ' $la ' of ' $nproc
echo 'RAM: ' $usedmem 'Mb of ' $totalmem Mb

echo -e "\n${TEXT_COLOR_GOOD} - Disk: ${TEXT_COLOR_OFF}\n"

df -h | head -n 1
df -h | grep '/dev/vd' 

echo "- Inodes:"

df -hi | grep '/dev/vd' 

echo -e "\n${TEXT_COLOR_GOOD} - Installed panel: ${TEXT_COLOR_OFF}\n"

#if zero - false
[[ -d /opt/webdir/bin/ ]] && echo "Bitrix!"
[[ -d /usr/local/vesta/ ]] && echo "Vesta!"
[[ -d /usr/local/mgr5/ ]] && echo "ISPManager!"
[[ -d /usr/local/fastpanel2 ]] && echo "Fastpanel 2"

echo -e "${TEXT_COLOR_GOOD} - OOMS: ${TEXT_COLOR_OFF}\n"
dmesg -T | grep "Out of memory" | tail -20


# Top RAM
echo -e "${TEXT_COLOR_GOOD} - Top RAM usage:${TEXT_COLOR_OFF}"
ps axk-%mem ouser,%cpu,%mem,command | head
echo

# Top CPU
echo -e "${TEXT_COLOR_GOOD} - Top CPU usage:${TEXT_COLOR_OFF}"
ps axk-%cpu ouser,%cpu,%mem,command | head
echo

# Какое ПО стоит? Docker/atop
echo -e "\n${TEXT_COLOR_GOOD} - Installed software: ${TEXT_COLOR_OFF}\n"

for i in "docker" "atop" "qemu-ga"
do
	if which $i
	then
		echo "$i is installed"
	else
		echo "$i is NOT installed"
	fi
done

while true
do
echo -e "
---
2. nginx: Посмотреть конфиги и домены в них
3. Запустить logs

0. Выход 
"

  read -r -p "Выбери: " action
  case $action in 
    0)
      harakiri
      ;;
    2) 
      nginx -T 2> /dev/null | egrep "configuration file|server_name"
      ;;
    3)
      wget -O /tmp/nginx.sh 94.228.126.204/nginx.sh
      bash /tmp/nginx.sh
      rm /tmp/nginx.sh
      ;;
  esac
done




